# meraki_config_template – Manage configuration templates in the Meraki cloud

New in version 2.7.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Allows for querying, deleting, binding, and unbinding of configuration templates.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
auth_key string / required |  | Authentication key provided by the dashboard. Required if environmental variable `MERAKI_KEY` is not set.

auto_bind
boolean

Choices:
- no
- yes

Optional boolean indicating whether the network's switches should automatically bind to profiles of the same model.
This option only affects switch networks and switch templates.
Auto-bind is not valid unless the switch template has at least one profile and has at most one profile per switch model.

config_template - |  | Name of the configuration template within an organization to manipulate. aliases: name
host string | Default: "api.meraki.com" | Hostname for Meraki dashboard. Can be used to access regional Meraki environments, such as China.
internal_error_retry_time integer | Default: 60 | Number of seconds to retry if server returns an internal server error.
net_id string |  | ID of the network to bind or unbind configuration template to.
net_name string |  | Name of the network to bind or unbind configuration template to.
org_id string |  | ID of organization associated to a configuration template.
org_name string |  | Name of organization containing the configuration template. aliases: organization

output_format
string

Choices:
- snakecase ←
- camelcase

Instructs module whether response keys should be snake case (ex. `net_id`) or camel case (ex. `netId`).

output_level
string

Choices:
- debug
- normal ←

Set amount of debug output during module execution.

rate_limit_retry_time integer | Default: 165 | Number of seconds to retry if rate limiter is triggered.

state
-

Choices:
- absent
- query ←
- present

Specifies whether configuration template information should be queried, modified, or deleted.

timeout integer | Default: 30 | Time to timeout for HTTP requests.

use_https
boolean

Choices:
- no
- yes ←

If `no`, it will use HTTP. Otherwise it will use HTTPS.
Only useful for internal Meraki developers.

use_proxy
boolean

Choices:
- no
- yes

If `no`, it will not use a proxy, even if one is defined in an environment variable on the target hosts.

validate_certs
boolean

Choices:
- no
- yes ←

Whether to validate HTTP certificates.

## Notes

Note

- Module is not idempotent as the Meraki API is limited in what information it provides about configuration templates.

- Meraki’s API does not support creating new configuration templates.

- To use the configuration template, simply pass its ID via `net_id` parameters in Meraki modules.

- More information about the Meraki API can be found at https://dashboard.meraki.com/api_docs.

- Some of the options are likely only used for developers within Meraki.

- As of Ansible 2.9, Meraki modules output keys as snake case. To use camel case, set the `ANSIBLE_MERAKI_FORMAT` environment variable to `camelcase`.

- Ansible’s Meraki modules will stop supporting camel case output in Ansible 2.13. Please update your playbooks.

## Examples

    - name: Query configuration templates
      meraki_config_template:
        auth_key: abc12345
        org_name: YourOrg
        state: query
      delegate_to: localhost

    - name: Bind a template from a network
      meraki_config_template:
        auth_key: abc123
        state: present
        org_name: YourOrg
        net_name: YourNet
        config_template: DevConfigTemplate
      delegate_to: localhost

    - name: Unbind a template from a network
      meraki_config_template:
        auth_key: abc123
        state: absent
        org_name: YourOrg
        net_name: YourNet
        config_template: DevConfigTemplate
      delegate_to: localhost

    - name: Delete a configuration template
      meraki_config_template:
        auth_key: abc123
        state: absent
        org_name: YourOrg
        config_template: DevConfigTemplate
      delegate_to: localhost

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
data complex | success | Information about queried object.
| id integer | success | Unique identification number of organization Sample: L_2930418
| name string | success | Name of configuration template Sample: YourTemplate

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Kevin Breit (@kbreit)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.